Bug 1862464 (CVE-2020-16116) - CVE-2020-16116 ark: maliciously crafted archive can install files anywhere in the user's home directory
Summary: CVE-2020-16116 ark: maliciously crafted archive can install files anywhere in...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-16116
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1862465 1862466 1870161
Blocks: 1862467
TreeView+ depends on / blocked
 
Reported: 2020-07-31 13:41 UTC by Marian Rehak
Modified: 2020-08-24 21:15 UTC (History)
4 users (show)

Fixed In Version: ark 20.04.3-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-24 21:15:15 UTC


Attachments (Terms of Use)

Description Marian Rehak 2020-07-31 13:41:44 UTC
A maliciously crafted archive with "../" in the file paths would install files anywhere in the user's home directory upon extraction.

External Reference:

https://bugs.gentoo.org/734622

Comment 1 Marian Rehak 2020-07-31 13:42:11 UTC
Created ark tracking bugs for this issue:

Affects: epel-8 [bug 1862466]
Affects: fedora-all [bug 1862465]

Comment 2 Than Ngo 2020-07-31 15:39:43 UTC
it's fixed in  ark-20.04.3-3

Comment 3 Fedora Update System 2020-08-09 03:12:34 UTC
FEDORA-2020-cac5ae9b6e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Todd Cullum 2020-08-24 19:54:56 UTC
Statement:

ark as shipped with Red Hat Enterprise Linux 7 prompts the user before allowing extraction into home directory, and also displays an error. Because the user must agree to perform the extraction in the home directory, Red Hat Product Security does not view this as a security vulnerability in ark as shipped with Red Hat Enterprise Linux 7.

Comment 9 Product Security DevOps Team 2020-08-24 21:15:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-16116


Note You need to log in before you can comment on or make changes to this bug.